# AssemblySet

[This is preliminary documentation and subject to change.]

Represents a set of assemblies via their identity information.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
id | string | The ID used to be referenced later. | False
refid | string | The ID to use as the reference. | False

### Nested Elements:

#### <assembly>

The assemblies to include.

Represents a single assembly in an AssemblySet.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The name of the assembly. | True
culture | string | The culture for the assembly. | False
if | bool | If `true` then the assembly will be included. The default is `true`. | False
public-key-token | string | The public key token of the assembly. | False
unless | bool | Opposite of `if`. If `false` then the assembly will be included. The default is `false`. | False
version | string | The version of the assembly. | False

#### </assembly>

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)